<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
Input Values
    -personaPredios: Lista de objetos de tipo PPersonaPredio a consultar
    -rendered: Indica si se muestra o no la tabla
    -title: Título de la tabla
-->
<p:dataTable xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" var="personaPredio"
             value="#{personaPredios}" rendered="#{rendered}">

    <f:facet name="header"> <h:outputText value="#{title}"/></f:facet>

    <p:column>
        <f:facet name="header">Tipo identificación</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{personaPredio.PPersona.tipoIdentificacion}-#{personaPredio.PPersona.tipoIdentificacionValor}" />
    </p:column>

    <p:column>
        <f:facet name="header">No. identificación</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{personaPredio.PPersona.numeroIdentificacion}" />
    </p:column>

    <p:column>
        <f:facet name="header">DV</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{personaPredio.PPersona.digitoVerificacion}" />
    </p:column>

    <p:column>
        <f:facet name="header">Nombre o razón social</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{personaPredio.PPersona.nombre}" />
    </p:column>

    <p:column>
        <f:facet name="header">Sigla</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{personaPredio.PPersona.sigla}" />
    </p:column>

    <p:column>
        <f:facet name="header">Tipo propietario</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{personaPredio.tipo}" />
    </p:column>

    <p:column>
        <f:facet name="header">% participación</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{personaPredio.participacion}" />
    </p:column>
</p:dataTable>
